/************************************************************
Copyright (C), 1988-1999, Tech. Co., Ltd.
FileName: 
Author: 
Version : 
Date:
Description:
Version: 
Function List: 
1. -------
History: 
<author> <time> <version > <desc>
David 96/10/12 1.0 build this moudle 
***********************************************************/

#include "timer.h"

void TIM2_Init(u16 arr,u16 psc)
{
  TIM_TimeBaseInitTypeDef  TIM_TimeBaseStructure;
	NVIC_InitTypeDef NVIC_InitStructure;
	
	
	RCC_APB1PeriphClockCmd(RCC_APB1Periph_TIM2, ENABLE);

	/*Specifies the period value to be loaded into 
	the active Auto-Reload Register at the next update event.
	This parameter must be a number between 0x0000 and 0xFFFF. */
	TIM_TimeBaseStructure.TIM_Period = arr;
	 /*Specifies the prescaler value used to divide the TIM clock.
	This parameter can be a number between 0x0000 and 0xFFFF */
	TIM_TimeBaseStructure.TIM_Prescaler = psc;
	/*Specifies the clock division. This parameter can be a value of  
	#define  TIM_CKD_DIV1   ((uint16_t)0x0000) 
	#define  TIM_CKD_DIV2   ((uint16_t)0x0100) 
	#define  TIM_CKD_DIV4   ((uint16_t)0x0200)*/
	TIM_TimeBaseStructure.TIM_ClockDivision = TIM_CKD_DIV1;
	/*Specifies the counter mode.This parameter can be a value of 
	#define  TIM_CounterMode_Up   ((uint16_t)0x0000) 
	#define  TIM_CounterMode_Down   ((uint16_t)0x0010) 
	#define  TIM_CounterMode_CenterAligned1   ((uint16_t)0x0020) 
	#define  TIM_CounterMode_CenterAligned2   ((uint16_t)0x0040) 
	#define  TIM_CounterMode_CenterAligned3   ((uint16_t)0x0060)*/
	TIM_TimeBaseStructure.TIM_CounterMode = TIM_CounterMode_Up;
	
	/*Initializes the TIMx Time Base Unit peripheral according 
	to the specified parameters in the TIM_TimeBaseInitStruct. */
  TIM_TimeBaseInit (TIM2, &TIM_TimeBaseStructure);
	
	TIM_ITConfig(TIM2,TIM_IT_Update,ENABLE ); //ʹָTIM3ж,ж
	
	//жȼNVIC
	NVIC_InitStructure.NVIC_IRQChannel = TIM2_IRQn;  //TIM3ж
	NVIC_InitStructure.NVIC_IRQChannelPreemptionPriority = 0;  //ռȼ0
	NVIC_InitStructure.NVIC_IRQChannelSubPriority = 3;  //ȼ3
	NVIC_InitStructure.NVIC_IRQChannelCmd = ENABLE; //IRQͨʹ
	NVIC_Init(&NVIC_InitStructure);  //ʼNVICĴ
	
	TIM_Cmd(TIM2, ENABLE);  //ʹTIMx		
}

